Psobb.exe crash...

Helena

Member
Hey !
Sorry in advance for my bad English, I'm French :p and if you can answer me in French, it would be beneficial for me ;)

I have a problem with Psobb.exe when I want to run it (after having configured it with my IP adrress)
It say Psobb.exe is not a valid win32 application :3
(I'm using the .DAT version and I'm on win7 64bits)

But when I'm running a clean Psobb.exe, it works, but I got the error 903 (it's certain, the IP address isn't configured)
Is there anything else to do ? However, my tethealla.ini and ship.ini are correctly configured...
That's why I need your help <3
Thank you in advance for possible answers <3
Cheers !
 

Matt

Administrator
Staff member
C'est parce que tu as changé la taille du fichier de psobb.exe en supprimant certaines données au lieu de remplacer. (Le erreur que "Psobb.exe n'est pas une application win32 valide")

Quand tu changes l'adresse IP (je ne sais pas le français...) dans la taille, n'utilise pas backspace -- juste tape ton IP sur l'adresse IP vielle.

ugh... J'ai oublié parler le français, cela fait longtemps. :p Désolé pour le français mauvais.
 

Helena

Member
Thank you for quick answers :p and thanks to Matt who has speaks in french
Yeah true, when i had changed the IP address, the size of the file changed too.

Soly, I have downloaded the noob-friendly executable patching tool but... I'm a little lost, I don't know how to use it :roll:
 

Helena

Member
Thanks you Soly, it works ! But now another problem... '-'
"You executable client is too old" however i've changed in the login_server.c the version (12510) to 12513 and your patch can't open the login_server.c or the login_server.exe...

Do you Have a login_server.exe for version 12513 or a trick for that ? :)
 

Helena

Member
Thanks Matt, i've remplaced the old login_server.exe with yours, but the error is still here x)
Something is probably false, but idk what... :')
 

Soly

Member
I put version string editing in that program, so you should be able to just match it up with the login
What version do you have in the client?
 

Helena

Member
Soly said:
I put version string editing in that program, so you should be able to just match it up with the login
What version do you have in the client?
Tethealla client ? Version 12513

Sorry, I have difficulties with english :? so, "I put version string editing" is for what file ?
And i suppose that program is for your patch ?
 

Soly

Member
Alright.. then lets do it straight to the point.

Modify your client to have this version string
TethVer12513
 

Helena

Member
It works !!! Thank you so much Soly and Matt <3
I can play on my own server :D now I'm uploading the client for my other computer (for testing) Hope it works...
 
Top